Bug 150745 - gdm: Can't set EGID to user GID
gdm: Can't set EGID to user GID
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: 151367 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-03-09 23:08 EST by Bill Nottingham
Modified: 2014-03-16 22:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-22 14:57:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2005-03-09 23:08:56 EST
Description of problem:

It complains about being unable to set EGID to user GID. A lot.

Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1. Log in
2. See things start acting really slow
3. Notice gdm and syslog both chewing cpu
Actual results:

Mar  9 23:02:32 nostromo gdm[3644]: Can't set EGID to user GID
Mar  9 23:02:37 nostromo last message repeated 26689 times
Mar  9 23:02:37 nostromo gdm[3644]: Can't set EGID to user GID
Mar  9 23:02:47 nostromo last message repeated 43323 times
Mar  9 23:02:47 nostromo gdm[3644]: Can't set EGID to user GID
Mar  9 23:03:17 nostromo last message repeated 142705 times
Mar  9 23:03:26 nostromo last message repeated 39923 times
Mar  9 23:03:26 nostromo gdm[3644]: Can't set EGID to user GID
Mar  9 23:03:51 nostromo last message repeated 117781 times
Mar  9 23:03:51 nostromo gdm[3644]: Can't set EGID to user GID
Mar  9 23:04:18 nostromo last message repeated 124063 times
Mar  9 23:04:18 nostromo gdm[3644]: Can't set EGID to user GID
Mar  9 23:04:48 nostromo last message repeated 135020 times
Mar  9 23:05:48 nostromo last message repeated 250793 times

Expected results:

Not that.

Additional info:
Comment 1 Brian Millett 2005-03-10 16:09:00 EST
This is only when booting init 5.  Booting init 3 then doing "startx"
allows X11 to come up fine.
Comment 2 Bill Nottingham 2005-03-10 16:49:36 EST
Brian: that makes sense... init 3 + startx doesn't run gdm at all.
Comment 3 Brian Millett 2005-03-10 22:28:31 EST
Oh, well yeah...  Duh.  :-)  

Amazing tingling feeling when I finally think. 
Comment 5 Alexandre Oliva 2005-03-10 23:09:28 EST
Should be fixed in gdm-
Comment 6 Kasper.S 2005-03-24 04:35:01 EST
(In reply to comment #5)
> Should be fixed in gdm-

Yes, changed gdm- to gdm- at and working fine
after that :)
Comment 7 Cynthia Jeness 2005-03-29 17:49:11 EST
How do I get this fix?   I have Fedora Core 4 Test 1 installed on AMD64.   My
up2date program appears to die silently and I could not find it under Fedora

Comment 8 Matthias Neder 2005-04-01 01:08:41 EST
Here you get,

Search results for gdm :
Fedora Other 
Fedora Other 
Comment 9 Matthias Clasen 2005-04-21 16:25:08 EDT
*** Bug 151367 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.